{$AlignCode+,AlignData+,AlignRec-,Asm-,B-,D+,Delphi-,Frame+,G4+,I+,L+,Optimise+}
{$OrgName-,P-,Q+,R+,S+,SmartLink+,Speed+,T-,V+,W-,X+,Z-,ZD-}
{$M 16384}

Unit ADRpU;

Interface

Uses Use32,DOS;

type Str3  = String[3];
     Str8  = String[8];
     Str10 = String[10];
     Str12 = String[12];
     Str15 = String[15];
     Str25 = String[25];
     Str27 = String[27];
     Str30 = String[30];
     Str40 = String[40];
     Str50 = String[50];
     Adresse = record
                 Name,
                 VorName : str30;
                 Strasse : str30;
                 PLZ     : str10;
                 Ort     : str30;
                 Land    : str3;
                 Telefon : array[1..3] of str20;
                 TelefonK: array[1..3] of str15;
                 FAX     : str20;
                 GebTag  : str10;
                 Note    : str50;
                 Memo    : byte;
                 Datei   : str12;
                 UserFeld: array[1..2] of Str25;
                 Gruppe  : longInt;
                 EMail   : Str50;
               end;

Function OpenAdr(FileName : String) : LongInt;
{ ffnet "FileName" }
Function CloseAdr : LongInt;
{ Schliet "FileName }
Function ReadAdr(Num : Word; var Adr : Adresse) : LongInt;
{ Liest Adresse Nummer "Num" in "Adr" (0 = erste Adresse) }
Function NumAdr : LongInt;
{ Anzahl der Adressen in "FileName }

Implementation

var f : File of Adresse;

Function OpenAdr(FileName : String) : LongInt;
Var OldFileMode : Byte;
begin
  Assign(f,FileName);
  OldFileMode := FileMode;
  FileMode := 32;
  {$I-}
  Reset(f);
  {$I+}
  OpenAdr := ioResult;
  FileMode := OldFileMode;
end;

Function CloseAdr : LongInt;
begin
  {$I-}
  Close(f);
  {$I+}
  CloseAdr := ioResult;
end;

Function ReadAdr(Num : Word; var Adr : Adresse) : LongInt;
begin
  Seek(f,Num);
  {$I-}
  Read(f,Adr);
  {$I+}
  ReadAdr := ioResult;
end;

Function NumAdr : LongInt;
begin
  NumAdr := FileSize(f);
end;

end.
